Skip to main content
GET
/
v1
/
customers
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "<string>",
      "status": "DRAFT",
      "code": {},
      "cpfcnpj": "<string>",
      "isPJ": true,
      "commercialName": "<string>",
      "companyName": "<string>",
      "addresses": [
        {
          "id": "<string>",
          "principal": true,
          "address": {
            "id": "<string>",
            "zipCode": "<string>",
            "streetDescription": "<string>",
            "streetNumber": "<string>",
            "complement": "<string>",
            "reference": "<string>",
            "neighborhood": "<string>",
            "city": "<string>",
            "state": "<string>",
            "country": "<string>",
            "municipality": {
              "id": "<string>",
              "name": "<string>",
              "code": "<string>",
              "uf": "<string>"
            },
            "code": "<string>",
            "type": "DELIVERY"
          }
        }
      ],
      "email": "<string>",
      "salesRepresentatives": [
        {
          "id": "<string>",
          "principal": true,
          "name": "<string>",
          "code": "<string>",
          "description": "<string>",
          "active": true
        }
      ],
      "customerGroupName": {},
      "phone": "<string>",
      "creditLimit": 123,
      "availableBalance": 123,
      "synchronized": "SUCCESS",
      "classifications": [
        {
          "name": "<string>",
          "code": "<string>",
          "classificationType": {
            "name": "<string>",
            "code": "<string>"
          }
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "stateInscription": "<string>",
      "observation": "<string>",
      "suframaCode": {},
      "customFields": [
        "<string>"
      ]
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

x-api-key
string
header
required

unique identifier access key. each brand has it own unique key.

Query Parameters

limit
number
default:10

pagination: limit of entities returned by query

Required range: x <= 50
cursorId
string

pagination: it is necessary to pass cursorId = null in the first call

status
enum<string>
default:APPROVED
Available options:
PENDING,
APPROVED,
BLOCKED,
INACTIVE
synchronized
enum<string>
Available options:
SUCCESS,
ERROR,
NOT_SYNCHRONIZED,
PROCESSING
changeStartDate
string

change interval start date

changeEndDate
string

change interval end date

Response

customers pagination

data
object[]
required
nextCursor
string | null

when the field is null, it means that pagination has ended